Subject: Re: bug#60423: 29.0.60; goto-address and shr/textsec don't play nicely together

From: Stefan Kangas <[email-masked]>
Date: Tue, 5 Sep 2023 16:31:18 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Mike Kupfer <[email-masked]>
>> Date: Thu, 29 Dec 2022 19:59:05 -0800
>>
>> In MH-E, if you mouse over the link or emoji, you get text in the echo
>> area that tells you how to follow the link.  There's no explanation
>> given for the red text or the caution emoji, which is a bug IMO.
>>
>> I tracked this down to MH-E's use of goto-address when displaying a
>> message (mh-display-msg > mh-show-addr > goto-address).
>>
>> I can think of a couple ways to deal with this, but I'm not sure what
>> the right way forward is.  The simplest approach would be for
>> mh-display-msg to stop using goto-address.  I'm not happy with that
>> approach because it removes functionality that MH-E has had for awhile.
>>
>> A slightly more sophisticated approach would be to not use goto-address
>> when using shr to render the message.  That loses some functionality
>> (like the auto-linkification of email addresses), and it seems kind of
>> kludgey, but I suppose it's not too terrible.
>>
>> Another possibility would be to make goto-address smarter, so that it
>> doesn't stomp on whatever it was that shr did to get the mouse-over
>> text.
>>
>> I'm happy to take a stab at a fix, but I could use some guidance on the
>> right direction to go in.
>
> I guess the latter, but it will have to be on master, since I'm quite
> sure the changes will not be safe enough for the release branch.
>
> Thanks.

Mike, did you make any progress here?  Thanks in advance.